# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).



## [3.15.0] (2024-09-03)

### Added (7 changes)

- Add CityDoctorAutoPro extension.
- Add CityDoctorGUI extension.
- Add CityDoctorHealer extension.
- Add CityDoctorHealerGUI extension.
- Add CityDoctorHealerGenetic extension.
- Add CityDoctorWebService extension.
- Add Documentation for extension modules.

### Fixed (1 change)

- Fix false positives for Solid self-intersections.

### Changed (1 change)

- Update Maven dependencies: Include JavaFX

### Security (1 change)

- Upgrade SnakeYAML to version 2.0

## [3.14.0] (2024-03-20)

Official Release of CityDoctor2
